data {
    int a;
    int N;
    real X[N, a];
}
parameters {
    real<lower = 0.0> sgm;
    real<lower = 0.0> sgm_a;
    real f_a[a];
    real mu[N];
}
model {
    sgm ~ exponential(0.001);
    sgm_a ~ exponential(0.001);
    for (i in 1:N) {
        mu[i] ~ normal(0.0, 1000.0);
    }
    for (j in 1:a) {
        f_a[j] ~ normal(0.0, sgm_a);
    }
    for (i in 1:N)
        for (j in 1:a) {
            X[i][j] ~ normal(mu[i] + f_a[j], sgm);
    }
}
